%define name elvis
%define version 2.1
%define release 1
%define serial 21

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: Elvis - VI Replacement
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Editors
Vendor: Steve Kirkendall <kirkenda@cs.pdx.edu>
Url: ftp://ftp.cs.pdx.edu/pub/elvis/
Distribution: Red Hat Contrib|Net
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Source: %{name}-%{version}.tar.gz
Patch: %{name}-%{version}.patch
Serial: %{serial}
BuildRoot: /tmp/%{name}-%{version}-root

%description
Elvis is a clone of vi/ex, the standard UNIX editor. Elvis supports
nearly all of the vi/ex commands, in both visual mode and ex mode.
Elvis adds support for multiple files, multiple windows, a variety of
display modes, on-line help, and other miscellaneous extensions.

%package X11
Summary: Elvis VI Replacement - X11 Interface
Group: Applications/Editors
Requires: elvis
Serial: %{serial}
%description X11
Elvis is a clone of vi/ex, the standard UNIX editor. Elvis supports
nearly all of the vi/ex commands, in both visual mode and ex mode.
Elvis adds support for multiple files, multiple windows, a variety of
display modes, on-line help, and other miscellaneous extensions.

This is the X11 interface for elvis.


%prep

%setup -q
%patch -p1

%build
./configure --bindir=/usr/bin --datadir=/usr/lib/elvis --with-x
make
mv elvis xelvis
make clean
./configure --bindir=/usr/bin --datadir=/usr/lib/elvis --with-x=no
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/elvis,man/man1,X11R6/{bin,lib/X11/{bitmaps,pixmaps}}}

install -s -o root -g root -m 0755 elvis $RPM_BUILD_ROOT/usr/bin
install -s -o root -g root -m 0755 xelvis $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -o root -g root -m 0755 ref $RPM_BUILD_ROOT/usr/bin
install -s -o root -g root -m 0755 ctags $RPM_BUILD_ROOT/usr/lib/elvis
install -s -o root -g root -m 0755 fmt $RPM_BUILD_ROOT/usr/lib/elvis
install -o root -g root -m 0644 lib/* $RPM_BUILD_ROOT/usr/lib/elvis
install -o root -g root -m 0644 guix11/elvis.xbm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/bitmaps/elvis.xbm
install -o root -g root -m 0644 guix11/elvis.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/pixmaps/elvis.xpm
install -o root -g root -m 0644 lib/elvis.man $RPM_BUILD_ROOT/usr/man/man1/elvis.1
install -o root -g root -m 0644 lib/ref.man $RPM_BUILD_ROOT/usr/man/man1/ref.1

%post

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files
%doc README.html COPYING INSTALL BUGS
%attr(755,root,root) /usr/bin/elvis
%attr(755,root,root) /usr/bin/ref

%attr(644,root,root) /usr/man/man1/elvis.1
%attr(644,root,root) /usr/man/man1/ref.1

%attr(-,root,root) /usr/lib/elvis

%files X11
%attr(755,root,root) /usr/X11R6/bin/xelvis

%attr(644,root,root) /usr/X11R6/lib/X11/bitmaps/elvis.xbm
%attr(644,root,root) /usr/X11R6/lib/X11/pixmaps/elvis.xpm

%changelog
* Thu Dec 10 1998 Ryan Weaver <ryanw@infohwy.com>
  [elvis-2.1-1]
- elvis-2.1 Full Release.
- For full list on changes, see README.html in the doc dir.
- Removed some of the older entries in %changelog

* Thu Nov 19 1998 Ryan Weaver <ryanw@infohwy.com>
  [elvis-2.1j-5]
- Modified spec to reflect Red Hat Contrib|Net requirements.
- Switched from using Fryguy_ to Ryan Weaver
